Bug 442601 - system getlock / setlock
system getlock / setlock
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
520
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-04-15 15:08 EDT by Máirín Duffy
Modified: 2009-09-10 15:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:52:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-04-15 15:08:15 EDT
Description of problem:

would be nice to have an api method to see if a system is locked and to lock or
unlock it.
Comment 4 Brad Buckingham 2009-02-05 14:44:14 EST
Updated system.getDetails to include lockStatus.  True indicates that the system is locked and false indicates that the system is unlocked.

Added system.setLockStatus() to enable locking/unlocking the system.

Modifications made with git commit: a1d95d49ade8f8fe74622aec7a1fd18467549d2f
Comment 6 Milan Zazrivec 2009-08-27 08:20:37 EDT
Verified in stage -> RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:52:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.